--- ./Makefile.PL.orig	2015-03-11 03:36:33.000000000 +0100
+++ ./Makefile.PL	2021-08-16 06:40:24.000000000 +0200
@@ -11,6 +11,19 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
 package core;
 
 use 5.006001;
--- ./ext/aui/Makefile.PL.orig	2014-03-08 14:01:41.000000000 +0100
+++ ./ext/aui/Makefile.PL	2021-08-19 05:33:53.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 
 use Config;
--- ./ext/calendar/Makefile.PL.orig	2014-03-08 14:01:30.000000000 +0100
+++ ./ext/calendar/Makefile.PL	2021-08-19 05:34:01.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 
 use Config;
--- ./ext/dataview/Makefile.PL.orig	2014-03-08 14:01:24.000000000 +0100
+++ ./ext/dataview/Makefile.PL	2021-08-19 05:34:14.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 
 use Config;
--- ./ext/datetime/Makefile.PL.orig	2014-03-08 14:01:22.000000000 +0100
+++ ./ext/datetime/Makefile.PL	2021-08-19 05:34:47.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/dnd/Makefile.PL.orig	2014-03-08 14:01:25.000000000 +0100
+++ ./ext/dnd/Makefile.PL	2021-08-19 05:35:15.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/docview/Makefile.PL.orig	2014-03-08 14:01:24.000000000 +0100
+++ ./ext/docview/Makefile.PL	2021-08-19 05:35:23.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/filesys/Makefile.PL.orig	2014-03-08 14:01:41.000000000 +0100
+++ ./ext/filesys/Makefile.PL	2021-08-19 05:35:31.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/grid/Makefile.PL.orig	2014-03-08 14:01:19.000000000 +0100
+++ ./ext/grid/Makefile.PL	2021-08-19 05:36:23.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/help/Makefile.PL.orig	2014-03-08 14:01:20.000000000 +0100
+++ ./ext/help/Makefile.PL	2021-08-19 05:36:30.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/html/Makefile.PL.orig	2014-03-08 14:01:25.000000000 +0100
+++ ./ext/html/Makefile.PL	2021-08-19 05:36:57.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/ipc/Makefile.PL.orig	2014-03-08 14:01:34.000000000 +0100
+++ ./ext/ipc/Makefile.PL	2021-08-19 05:37:05.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/mdi/Makefile.PL.orig	2014-03-08 14:01:27.000000000 +0100
+++ ./ext/mdi/Makefile.PL	2021-08-19 05:37:59.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/media/Makefile.PL.orig	2014-03-08 14:01:18.000000000 +0100
+++ ./ext/media/Makefile.PL	2021-08-19 05:38:06.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/print/Makefile.PL.orig	2014-03-08 14:01:24.000000000 +0100
+++ ./ext/print/Makefile.PL	2021-08-19 05:38:40.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/propgrid/Makefile.PL.orig	2014-03-08 14:01:20.000000000 +0100
+++ ./ext/propgrid/Makefile.PL	2021-08-19 05:38:51.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 
 use Config;
--- ./ext/ribbon/Makefile.PL.orig	2014-03-08 14:01:39.000000000 +0100
+++ ./ext/ribbon/Makefile.PL	2021-08-19 05:38:57.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 
 use Config;
--- ./ext/richtext/Makefile.PL.orig	2015-03-11 02:27:53.000000000 +0100
+++ ./ext/richtext/Makefile.PL	2021-08-19 05:39:03.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 
 use Config;
--- ./ext/socket/Makefile.PL.orig	2014-03-08 14:01:20.000000000 +0100
+++ ./ext/socket/Makefile.PL	2021-08-19 05:39:16.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/stc/Makefile.PL.orig	2014-03-08 14:01:21.000000000 +0100
+++ ./ext/stc/Makefile.PL	2021-08-19 05:39:21.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/test/Makefile.PL.orig	2014-03-08 14:01:17.000000000 +0100
+++ ./ext/test/Makefile.PL	2021-08-19 05:39:32.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;
--- ./ext/webview/Makefile.PL.orig	2014-03-23 22:17:05.000000000 +0100
+++ ./ext/webview/Makefile.PL	2021-08-19 05:39:39.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 
 use Config;
--- ./ext/xrc/Makefile.PL.orig	2014-03-08 14:01:22.000000000 +0100
+++ ./ext/xrc/Makefile.PL	2021-08-19 05:39:51.000000000 +0200
@@ -10,6 +10,21 @@
 ##              modify it under the same terms as Perl itself
 #############################################################################
 
+package MY;
+  sub const_config {
+    my $inherited = shift->SUPER::const_config(@ARG);
+    my ($cc) = $inherited =~ m/\nCC\s*=\s*([^\n]*)/;
+    $inherited .= "\nXCC = $cc";
+    $inherited;
+  }
+  sub const_cccmd {
+    my $inherited = shift->SUPER::const_cccmd(@ARG);
+    $inherited =~ s/\$\(CC\)/\$(XCC)/;
+    $inherited;
+  }
+
+package main;
+
 use strict;
 use lib '../../build';
 use Wx::build::MakeMaker;