--- Portfile.orig	2020-12-08 09:40:22.000000000 +0100
+++ Portfile	2020-12-08 10:44:07.000000000 +0100
@@ -1,8 +1,8 @@
 PortSystem 1.0
 
 name                bash
-set bash_version    5.0
-set bash_patchlevel 17
+set bash_version    5.1
+set bash_patchlevel 0
 subport bash44 {
    # This port can be removed on March 1, 2021
    replaced_by         bash
@@ -44,81 +44,10 @@
            [format "%s%s-%03d" $name [strsed ${bash_version} {g/\.//}] $i]
    }
 
-   checksums           ${distname}${extract.suffix} \
-                       rmd160  a081428a896d617855499376b670eca3433a27c1 \
-                       sha256  b4a80f2ac66170b2913efbfb9f2594f1f76c7b1afd11f799e22035d63077fb4d \
-                       size    10135110
-
-   checksums-append    bash50-001 \
-                       rmd160  20cde6fea8fb371d1d00d10496c1f5b1d9c71182 \
-                       sha256  f2fe9e1f0faddf14ab9bfa88d450a75e5d028fedafad23b88716bd657c737289 \
-                       size    4133 \
-                       bash50-002 \
-                       rmd160  a1eb7734493903e9eb25b3c1b48d69ee7a01da5e \
-                       sha256  87e87d3542e598799adb3e7e01c8165bc743e136a400ed0de015845f7ff68707 \
-                       size    4380 \
-                       bash50-003 \
-                       rmd160  c964aa0deb96a5efe5e0d9cf123d0e5345c77efc \
-                       sha256  4eebcdc37b13793a232c5f2f498a5fcbf7da0ecb3da2059391c096db620ec85b \
-                       size    6434 \
-                       bash50-004 \
-                       rmd160  90417dbb08702281201614df0518d1534dcf6f48 \
-                       sha256  14447ad832add8ecfafdce5384badd933697b559c4688d6b9e3d36ff36c62f08 \
-                       size    1664 \
-                       bash50-005 \
-                       rmd160  9662d5e3ed43a14b80845ecb6a5916733113a126 \
-                       sha256  5bf54dd9bd2c211d2bfb34a49e2c741f2ed5e338767e9ce9f4d41254bf9f8276 \
-                       size    3732 \
-                       bash50-006 \
-                       rmd160  702429f2e21e61cb39f7ecc579fc61bfaa5f4991 \
-                       sha256  d68529a6ff201b6ff5915318ab12fc16b8a0ebb77fda3308303fcc1e13398420 \
-                       size    1275 \
-                       bash50-007 \
-                       rmd160  75f55a086cb11db8fb0faa001a7fe8d77b17b30f \
-                       sha256  17b41e7ee3673d8887dd25992417a398677533ab8827938aa41fad70df19af9b \
-                       size    1640 \
-                       bash50-008 \
-                       rmd160  e4076df3d86bb750c2fd72766fcdf855a92b9269 \
-                       sha256  eec64588622a82a5029b2776e218a75a3640bef4953f09d6ee1f4199670ad7e3 \
-                       size    2622 \
-                       bash50-009 \
-                       rmd160  55a8d44d5ef731d4996bdf69dcf6a80105ca168e \
-                       sha256  ed3ca21767303fc3de93934aa524c2e920787c506b601cc40a4897d4b094d903 \
-                       size    1095 \
-                       bash50-010 \
-                       rmd160  40599f5fe2f5a9cfa9324cd31c0487166ff68f5a \
-                       sha256  d6fbc325f0b5dc54ddbe8ee43020bced8bd589ddffea59d128db14b2e52a8a11 \
-                       size    6407 \
-                       bash50-011 \
-                       rmd160  d2866cbdf4f5a8e1f79ff4795b6045a45bea4627 \
-                       sha256  2c4de332b91eaf797abbbd6c79709690b5cbd48b12e8dfe748096dbd7bf474ea \
-                       size    1870 \
-                       bash50-012 \
-                       rmd160  3c08d0e8a96645112fe86c407637f2d030319a7a \
-                       sha256  2943ee19688018296f2a04dbfe30b7138b889700efa8ff1c0524af271e0ee233 \
-                       size    1571 \
-                       bash50-013 \
-                       rmd160  824d45c5779bf238b2891a4906a38d7e49f71ea8 \
-                       sha256  f5d7178d8da30799e01b83a0802018d913d6aa972dd2ddad3b927f3f3eb7099a \
-                       size    2328 \
-                       bash50-014 \
-                       rmd160  1f36acc05688999814a8932ac87fcbd8f2f71b4c \
-                       sha256  5d6eee6514ee6e22a87bba8d22be0a8621a0ae119246f1c5a9a35db1f72af589 \
-                       size    1747 \
-                       bash50-015 \
-                       rmd160  540db9eff2543184e504f2de9bff3c07642c2ce5 \
-                       sha256  a517df2dda93b26d5cbf00effefea93e3a4ccd6652f152f4109170544ebfa05e \
-                       size    2565 \
-                       bash50-016 \
-                       rmd160  19d5f631e0181e2671f9bcb8ee7419a46f99008e \
-                       sha256  ffd1d7a54a99fa7f5b1825e4f7e95d8c8876bc2ca151f150e751d429c650b06d \
-                       size    1534 \
-                       bash50-017 \
-                       rmd160  a46602c2186a902f20f3260da2bbde825b7a8ad9 \
-                       sha256  4cf3b9fafb8a66d411dd5fc9120032533a4012df1dc6ee024c7833373e2ddc31 \
-                       size    6517
+   checksums           rmd160  3b968e29e3867e201a781c4dc28f71120dbaeed8 \
+                       sha256  cc012bc860406dcf42f64431bcd3d2fa7560c02915a601aba9cd597a39329baa \
+                       size    10458638
 
-    patchfiles-append  patch-configure.diff
 }
 
 depends_build           bin:bison:bison