diff -ru 0/jpeg-9d/makeasln.v16 1/jpeg-9d/makeasln.v16
--- 0/jpeg-9d/makeasln.v16	2019-02-07 11:19:48.000000000 -0600
+++ 1/jpeg-9d/makeasln.v16	2019-02-07 12:19:48.000000000 -0600
@@ -1,4 +1,4 @@
-‹¯¨
+
 Microsoft Visual Studio Solution File, Format Version 12.00
 # Visual Studio 15
 VisualStudioVersion = 15.0.28307.329
diff -ru 0/jpeg-9d/makecfil.v16 1/jpeg-9d/makecfil.v16
--- 0/jpeg-9d/makecfil.v16	2010-05-02 03:20:38.000000000 -0500
+++ 1/jpeg-9d/makecfil.v16	2010-05-02 06:20:38.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup>
     <Filter Include="Source Files">
diff -ru 0/jpeg-9d/makecvcx.v16 1/jpeg-9d/makecvcx.v16
--- 0/jpeg-9d/makecvcx.v16	2019-04-04 13:12:08.000000000 -0500
+++ 1/jpeg-9d/makecvcx.v16	2019-04-04 14:12:08.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Release|Win32">
diff -ru 0/jpeg-9d/makedfil.v16 1/jpeg-9d/makedfil.v16
--- 0/jpeg-9d/makedfil.v16	2010-05-02 03:20:38.000000000 -0500
+++ 1/jpeg-9d/makedfil.v16	2010-05-02 06:20:38.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup>
     <Filter Include="Source Files">
diff -ru 0/jpeg-9d/makedvcx.v16 1/jpeg-9d/makedvcx.v16
--- 0/jpeg-9d/makedvcx.v16	2019-04-04 13:12:08.000000000 -0500
+++ 1/jpeg-9d/makedvcx.v16	2019-04-04 14:12:08.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Release|Win32">
diff -ru 0/jpeg-9d/makejfil.v16 1/jpeg-9d/makejfil.v16
--- 0/jpeg-9d/makejfil.v16	2010-05-01 12:36:54.000000000 -0500
+++ 1/jpeg-9d/makejfil.v16	2010-05-01 15:36:54.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup>
     <Filter Include="Source Files">
diff -ru 0/jpeg-9d/makejsln.v16 1/jpeg-9d/makejsln.v16
--- 0/jpeg-9d/makejsln.v16	2019-02-07 11:05:24.000000000 -0600
+++ 1/jpeg-9d/makejsln.v16	2019-02-07 12:05:24.000000000 -0600
@@ -1,4 +1,4 @@
-‹¯¨
+
 Microsoft Visual Studio Solution File, Format Version 12.00
 # Visual Studio 15
 VisualStudioVersion = 15.0.28307.329
diff -ru 0/jpeg-9d/makejvcx.v16 1/jpeg-9d/makejvcx.v16
--- 0/jpeg-9d/makejvcx.v16	2019-04-04 13:04:56.000000000 -0500
+++ 1/jpeg-9d/makejvcx.v16	2019-04-04 14:04:56.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Release|Win32">
diff -ru 0/jpeg-9d/makerfil.v16 1/jpeg-9d/makerfil.v16
--- 0/jpeg-9d/makerfil.v16	2010-05-02 03:20:38.000000000 -0500
+++ 1/jpeg-9d/makerfil.v16	2010-05-02 06:20:38.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup>
     <Filter Include="Source Files">
diff -ru 0/jpeg-9d/makervcx.v16 1/jpeg-9d/makervcx.v16
--- 0/jpeg-9d/makervcx.v16	2019-04-04 13:12:08.000000000 -0500
+++ 1/jpeg-9d/makervcx.v16	2019-04-04 14:12:08.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Release|Win32">
diff -ru 0/jpeg-9d/maketfil.v16 1/jpeg-9d/maketfil.v16
--- 0/jpeg-9d/maketfil.v16	2010-05-02 03:20:38.000000000 -0500
+++ 1/jpeg-9d/maketfil.v16	2010-05-02 06:20:38.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup>
     <Filter Include="Source Files">
diff -ru 0/jpeg-9d/maketvcx.v16 1/jpeg-9d/maketvcx.v16
--- 0/jpeg-9d/maketvcx.v16	2019-04-04 13:12:08.000000000 -0500
+++ 1/jpeg-9d/maketvcx.v16	2019-04-04 14:12:08.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Release|Win32">
diff -ru 0/jpeg-9d/makewfil.v16 1/jpeg-9d/makewfil.v16
--- 0/jpeg-9d/makewfil.v16	2010-05-02 03:20:38.000000000 -0500
+++ 1/jpeg-9d/makewfil.v16	2010-05-02 06:20:38.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup>
     <Filter Include="Source Files">
diff -ru 0/jpeg-9d/makewvcx.v16 1/jpeg-9d/makewvcx.v16
--- 0/jpeg-9d/makewvcx.v16	2019-04-04 13:12:10.000000000 -0500
+++ 1/jpeg-9d/makewvcx.v16	2019-04-04 14:12:10.000000000 -0500
@@ -1,4 +1,4 @@
-‹¯¨<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Release|Win32">